Search Raw Measurements entities by filter (token-based pagination)

Search Raw Measurements entities by filter (token-based pagination)

timestamp operators are mandatory. patient.id, sourceEntity.id, _session.id support only 'eq' operator. timestamp support only 'from' & 'to' operators. attributes supports only 'in' operator

Returns list of Raw Measurements, the response can be filtered, sorted and supports pagination

For more information and examples on creating search requests, click here.

Filter

Each additionalProp can filter one field, inside additionalProp there are many optional conditions that can be used for filtering that field

By using the logical additionalProps $AND, $OR, $NOT, you can add complex nested logic filters. When sending these props, you must send only the nested filter field inside the filter value. This will allow you to group additional filters using logical AND/OR/NOT operators. When not sending a logic prop (including when not sending a nested logic prop), the props are bundled together using logical AND operators, this means that only the items that match all filter conditions for that field will be returned.

filter items possible values: [ _patient.id - Eq only,_sourceEntity.id - Eq only,_session.id - Eq only,timestamp,attributes - in only ]

Sort

Results can be sorted by multiple fields, the order of the fields in the sort request governs the hierarchy of the sort

The first field is the primary sort, the second is used when two values of the first field are the same, and so forth

sort.order default value is DESC

sort.prop possible values:[ ]

If sort was not specified, the result will be sorted by: creationTime DESC

Page

limitPerPage optional maximum number of results to return per page. When omitted, a service-defined default page size is used.

nextToken opaque cursor from the previous response for the next page. Omit or set to null for the first page. For each subsequent page, the request body and query parameters must be exactly the same as the original search (same filter, sort, and limitPerPage); only nextToken should change.

Build URL

Encode the JSON object and use the encoded string as the searchRequest parameter:

https://<URL>?searchRequest=<ENCODED_JSON_STRING>

Query Parameters:

ParameterTypeMandatoryDescriptionExample
searchRequesttrueSearch request parameters: filter, sort, nextToken and limitPerPage

This API requires PROTECTED_API permission(s).

Query Params
searchRequest
object
required

Search request parameters: filter, sort, nextToken and limitPerPage

Responses

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json